package apache2-data 2.4.34-1ubuntu2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting a removal

Bug #1800806 reported by Deepak Kumar on 2018-10-31

This bug report will be marked for expiration in 42 days if no further activity occurs. (find out why)

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Ubuntu)
Undecided
Unassigned

Bug Description

Don't Know

ProblemType: Package
DistroRelease: Ubuntu 18.10
Package: apache2-data 2.4.34-1ubuntu2
ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
Uname: Linux 4.18.0-10-generic x86_64
ApportVersion: 2.20.10-0ubuntu13
Architecture: amd64
Date: Wed Oct 31 12:58:48 2018
Dependencies:

DpkgTerminalLog:
 dpkg: error processing package apache2-data (--remove):
  package is in a very bad inconsistent state; you should
  reinstall it before attempting a removal
ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting a removal
InstallationDate: Installed on 2018-10-30 (1 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.7rc1, python3-minimal, 3.6.6-1
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu5
 apt 1.7.0
SourcePackage: apache2
Title: package apache2-data 2.4.34-1ubuntu2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting a removal
UpgradeStatus: No upgrade log present (probably fresh install)

Deepak Kumar (rudee) wrote :
Joshua Powers (powersj) wrote :

From terminal log:

 dpkg: error processing package apache2-data (--remove):
  package is in a very bad inconsistent state; you should
  reinstall it before attempting a removal
ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting a removal

Joshua Powers (powersj) wrote :

One of your packages is reporting that it is in an inconsistent state. This
needs to be solved before you continue further operations. To help you get
started please see this question and response:

https://askubuntu.com/questions/148715/how-to-fix-package-is-in-a-very-bad-inconsistent-state-error

Because this does not appear to be a bug in Ubuntu I am going to mark this as Incomplete. If you have further information that shows it is a specific bug in Ubuntu please feel free to add that and mark this bug as New.

Changed in apache2 (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers